Bug 847385 - Review Request: wmtictactoe - TicTacToe game as a dockapp
Review Request: wmtictactoe - TicTacToe game as a dockapp
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Praveen Kumar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 16:10 EDT by Mario Blättermann
Modified: 2012-09-18 23:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:48:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kumarpraveen.nitdgp: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-08-10 16:10:19 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/wmtictactoe.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/wmtictactoe-1.1-2.fc17.src.rpm
Description: wmTicTacToe is a dock application game for Window Maker(but it will be run on other window managers too.

Fedora Account System Username: mariobl
Comment 1 Praveen Kumar 2012-08-29 11:04:25 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (with incorrect
     FSF address)" For detailed output of licensecheck see file:
     /home/daredevil/rpmbuild/847385-wmtictactoe/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
http://koji.fedoraproject.org/koji/taskinfo?taskID=4434529
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: wmtictactoe-1.1-2.fc17.src.rpm
          wmtictactoe-debuginfo-1.1-2.fc17.x86_64.rpm
          wmtictactoe-1.1-2.fc17.x86_64.rpm
wmtictactoe.src: W: spelling-error Summary(en_US) dockapp -> dock app, dock-app, paddock
wmtictactoe.x86_64: W: spelling-error Summary(en_US) dockapp -> dock app, dock-app, paddock
wmtictactoe.x86_64: E: incorrect-fsf-address /usr/share/doc/wmtictactoe-1.1/COPYING
Hint : https://fedoraproject.org/wiki/Common_Rpmlint_issues#incorrect-fsf-address
wmtictactoe.x86_64: W: no-manual-page-for-binary wmtictactoe
3 packages and 0 specfiles checked; 1 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint wmtictactoe
wmtictactoe.x86_64: W: spelling-error Summary(en_US) dockapp -> dock app, dock-app, paddock
wmtictactoe.x86_64: E: incorrect-fsf-address /usr/share/doc/wmtictactoe-1.1/COPYING
wmtictactoe.x86_64: W: no-manual-page-for-binary wmtictactoe
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'

Requires
--------
wmtictactoe-debuginfo-1.1-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

wmtictactoe-1.1-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libX11.so.6()(64bit)  
    libXext.so.6()(64bit)  
    libXpm.so.4()(64bit)  
    libc.so.6()(64bit)  
    rtld(GNU_HASH)  

Provides
--------
wmtictactoe-debuginfo-1.1-2.fc17.x86_64.rpm:
    
    wmtictactoe-debuginfo = 1.1-2.fc17
    wmtictactoe-debuginfo(x86-64) = 1.1-2.fc17

wmtictactoe-1.1-2.fc17.x86_64.rpm:
    
    wmtictactoe = 1.1-2.fc17
    wmtictactoe(x86-64) = 1.1-2.fc17

MD5-sum check
-------------
http://dockapps.windowmaker.org/download.php/id/748/wmtictactoe-1.1-1.tar.gz :
  CHECKSUM(SHA256) this package     : 8cf2ea6649979e96c2c305e7ca79dd6dd31034ce3c37fd5a227e6d4f18389ce1
  CHECKSUM(SHA256) upstream package : 8cf2ea6649979e96c2c305e7ca79dd6dd31034ce3c37fd5a227e6d4f18389ce1


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Comment 2 Mario Blättermann 2012-08-29 15:15:32 EDT
(In reply to comment #1)
> [!]: MUST License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "GPL (v2 or later) (with incorrect FSF address)", "GPL (with incorrect
>      FSF address)" For detailed output of licensecheck see file:
>      /home/daredevil/rpmbuild/847385-wmtictactoe/licensecheck.txt

Seems to be false positive. The package is licensed as GPLv2+. And the GPLv2+ overrides the GPL anyway. Don't know what to do to make licensecheck happy again.
Comment 3 Praveen Kumar 2012-08-30 12:28:28 EDT
As fedora wiki says for Incorrect-fsf-address only requirement is upstream should be informed, and it's not patched by packager.
I also confirmed on IRC and according to there suggestion "the FSF changed their mailing address not long ago and rpmlint is just checking if the mailing address is the current one" but once you have to informed the upstream about this.

Everything else looks good.

=================== Approve ====================
Comment 4 Mario Blättermann 2012-08-30 13:31:29 EDT
(In reply to comment #3)
> As fedora wiki says for Incorrect-fsf-address only requirement is upstream
> should be informed, and it's not patched by packager.
> I also confirmed on IRC and according to there suggestion "the FSF changed
> their mailing address not long ago and rpmlint is just checking if the
> mailing address is the current one" but once you have to informed the
> upstream about this.

Unfortunately, upstream is dead for a long time. Well, I could try to send a mail to the former maintainer, but I don't expect to get an answer. Perhaps we need some additional rules, such as:
"If the upstream project is obviously dead, the packager should decide if he changes the address."
 
Thanks for your review!


New Package SCM Request
=======================
Package Name: wmtictactoe
Short Description: TicTacToe game as a dockapp
Owners: mariobl
Branches: f17 f18
Comment 5 Gwyn Ciesla 2012-08-30 14:39:07 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-08-30 15:24:15 EDT
wmtictactoe-1.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/wmtictactoe-1.1-2.fc18
Comment 7 Fedora Update System 2012-08-30 15:24:27 EDT
wmtictactoe-1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wmtictactoe-1.1-2.fc17
Comment 8 Fedora Update System 2012-08-30 20:57:22 EDT
wmtictactoe-1.1-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-09-17 19:48:12 EDT
wmtictactoe-1.1-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2012-09-18 23:11:57 EDT
wmtictactoe-1.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.